# Record TCefTaskManager

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTaskManager = record`

## Description

Structure that facilitates managing the browser-related tasks. The functions of this structure may only be called on the UI thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefTaskManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_manager_capi.h">CEF source file: /include/capi/cef_task_manager_capi.h (cef_task_manager_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_tasks_count: function(self: PCefTaskManager): NativeUInt; stdcall;`
| `get_task_ids_list: function(self: PCefTaskManager; task_idsCount: PNativeUInt; task_ids: PInt64): Integer; stdcall;`
| `get_task_info: function(self: PCefTaskManager; task_id: int64; info: PCefTaskInfo): Integer; stdcall;`
| `kill_task: function(self: PCefTaskManager; task_id: int64): Integer; stdcall;`
| `get_task_id_for_browser_id: function(self: PCefTaskManager; browser_id: Integer): int64; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_tasks_count: function(self: PCefTaskManager): NativeUInt; stdcall;`
This item has no description.

| `get_task_ids_list: function(self: PCefTaskManager; task_idsCount: PNativeUInt; task_ids: PInt64): Integer; stdcall;`
This item has no description.

| `get_task_info: function(self: PCefTaskManager; task_id: int64; info: PCefTaskInfo): Integer; stdcall;`
This item has no description.

| `kill_task: function(self: PCefTaskManager; task_id: int64): Integer; stdcall;`
This item has no description.

| `get_task_id_for_browser_id: function(self: PCefTaskManager; browser_id: Integer): int64; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.